Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Interface LayoutService

All Superinterfaces:
  LayoutServiceInfo

All Known Implementing Classes:
  LayoutServiceImpl

    public interface LayoutService

extends LayoutServiceInfo

TODO: A description of this class.

Version:
  `$Revision: 8784 $`
Author:
  Martin Holzner.

Method Summary
`void` | `addLayout(RuntimeContext runtimeContext, PortalLayoutMetaData layoutMD)` Add a layout.
`void` | `addRenderSet(RuntimeContext runtimeContext, RenderSetMetaData renderSet)` Register a renderSet with this service
`PortalLayout` | `getDefaultLayout()`
`java.lang.String` | `getDefaultRenderSetName()`
`void` | `removeLayouts(java.lang.String appID)` Remove all layouts that are hosted in the provided application.
`void` | `removeRenderSets(java.lang.String appID)` Remove all rendersets that are hosted in the provided application.
`void` | `setDefaultLayoutName(java.lang.String name)` Set the default layout (on a global level).
`void` | `setDefaultRenderSetName(java.lang.String name)`

Methods inherited from interface org.jboss.portal.theme.LayoutServiceInfo
`getLayout, getLayout, getLayoutById, getLayouts, getRenderSet, getRenderSet, getRenderSet, getRenderSets`

Method Detail

### setDefaultLayoutName

    void setDefaultLayoutName(java.lang.String name)
                              throws LayoutException

  Set the default layout (on a global level).

  Parameters:
    `name` - the name of the layout to set as default
  Throws:
    `LayoutException`

### getDefaultLayout

    PortalLayout getDefaultLayout()

### addLayout

    void addLayout(RuntimeContext runtimeContext,
                   PortalLayoutMetaData layoutMD)
                   throws LayoutException

  Add a layout.

  Throws:
    `LayoutException`

### removeLayouts

    void removeLayouts(java.lang.String appID)
                       throws LayoutException

  Remove all layouts that are hosted in the provided application.

  Parameters:
    `appID` - the name of the application that hosts the layout(s) to be removed
  Throws:
    `LayoutException`

### addRenderSet

    void addRenderSet(RuntimeContext runtimeContext,
                      RenderSetMetaData renderSet)
                      throws LayoutException

  Register a renderSet with this service

  Throws:
    `LayoutException`

### setDefaultRenderSetName

    void setDefaultRenderSetName(java.lang.String name)

### getDefaultRenderSetName

    java.lang.String getDefaultRenderSetName()

### removeRenderSets

    void removeRenderSets(java.lang.String appID)
                          throws LayoutException

  Remove all rendersets that are hosted in the provided application.

  Parameters:
    `appID` - the name of the application that hosts the render set(s) to be removed
  Throws:
    `LayoutException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD